package ai.pai.lensman.login;

import com.android.common.utils.LogHelper;

import ai.pai.lensman.App;
import ai.pai.lensman.R;
import ai.pai.lensman.base.BaseInteractor;
import ai.pai.lensman.db.Preferences;

/**
 * Created by chengzhenyu on 2016/8/11.
 */
public class LoginPresenter implements LoginContract.Presenter,BaseInteractor.InteractorListener<String> {

    private LoginContract.View view;
    private LoginInteractor interactor;

    public LoginPresenter(LoginContract.View view){
        this.view = view;
    }

    @Override
    public void login(String unionid, String token) {
        LogHelper.d("czy","presenter login");
        view.showProgressView();
        interactor = new LoginInteractor(unionid,token,this);
        interactor.startJob();
    }

    @Override
    public void start() {

    }

    @Override
    public void stop() {
        if(interactor!=null){
            interactor.cancelJob();
        }
    }


    @Override
    public void onInteractSuccess(String result) {
        view.hideProgressView();
        view.showLoginHint(App.getAppContext().getString(R.string.login_success));
        Preferences.getInstance().setLensManId(result);
        view.jumpMain();
    }

    @Override
    public void onInteractFail(String errorMsg) {
        view.hideProgressView();
        view.showLoginHint(errorMsg);
    }

}
